Bug 24331 - CVE-2010-3382: insecure library loading
: CVE-2010-3382: insecure library loading
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/tau)
: unstable
: all Linux
: P3 blocker
Assigned To:
:
: http://bugs.debian.org/598303
: security
:
:
  Show dependency tree
 
Reported: 2010-10-16 12:37 by
Modified: 2010-10-20 09:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-10-16 12:37:28
The vulnerability is introduced by an insecure change to
LD_LIBRARY_PATH, and environment variable used by ld.so(8) to look for
libraries on a directory other than the standard paths.

Vulnerable code follows:

/usr/bin/tauex line 197:
export LD_LIBRARY_PATH=$TAUROOT/$TAUARCH/lib/$theBinding:$LD_LIBRARY_PATH

When there's an empty item on the colon-separated list of
LD_LIBRARY_PATH, ld.so treats it as '.' (i.e. CWD/$PWD.)
If the given script is executed from a directory where a potential,
local, attacker can write files to, there's a chance to exploit this
bug.
------- Comment #1 From 2010-10-18 14:23:15 -------
tau-2.19.2-alt6 -> sisyphus:

* Mon Oct 18 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux> 2.19.2-alt6
- Fixed insecure setting of LD_LIBRARY_PATH (ALT #24331)
------- Comment #2 From 2010-10-20 09:16:34 -------
Более педантичный подход к проверке на пустую строку ` if [ -n "$VAR" ]; `